#include <stdio.h>

struct Student {
    int num;
    char name[50];
    int score[3];
};

int main() {
    int n, i;

    scanf("%d", &n);

    struct Student students[n];

    for (i = 0; i < n; i++) {
        scanf("%d %s %d %d %d", &students[i].num, students[i].name, &students[i].score[0], &students[i].score[1], &students[i].score[2]);
    }

    for (i = 0; i < n; i++) {
        printf("%d %s %d %d %d\n", students[i].num, students[i].name, students[i].score[0], students[i].score[1], students[i].score[2]);
    }

    return 0;
}
